
Redmine - Feature #8146

How can I Hide "My page"?

2011-04-14 05:48 - Joshua Villagomez

Status: Closed Start date: 2011-04-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: My page Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

Hi everyone,

I'm doing some customizations on my Redmine system. Boss doesn't like the My page. How can I hide it? Would prefer to hide it for

non-members and anonymous users. Thanks.

History

#1 - 2011-04-14 09:17 - Etienne Massip

- Category set to My page

AFAIK, there is no option in Redmine, maybe MyPage should be made a module.

#2 - 2011-04-14 20:31 - Jean-Philippe Lang

Would prefer to hide it for non-members and anonymous users.

 There's no 'My page' for anonymous users.

#3 - 2011-04-15 00:56 - Joshua Villagomez

Thanks.  Which controller handles My Page? Somehow it knows difference between anonymous and non-members. I'd like to restrict non-members if

possible.  Thanks.

#4 - 2011-04-15 09:07 - Etienne Massip

See source:trunk/lib/redmine.rb#L152.

#5 - 2011-04-17 17:27 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Etienne gave you the answer. You can also disable it with a few lines of code from a plugin.
